#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,320,512,576,640,704,1408
 * N : 25,128,192,320,512,576,640,704,1408
 * NB : 2,8,8,16,16,24,24,64,64
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 2; \
   else if ((n_) < 256) (nb_) = 8; \
   else if ((n_) < 544) (nb_) = 16; \
   else if ((n_) < 672) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
