#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,320,384,448,512,704,1408
 * N : 25,128,192,320,384,448,512,704,1408
 * NB : 4,8,64,32,32,24,64,64,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 4; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 256) (nb_) = 64; \
   else if ((n_) < 416) (nb_) = 32; \
   else if ((n_) < 480) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
