#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,320,720,880,960,1040,1440
 * N : 25,160,320,720,880,960,1040,1440
 * NB : 2,8,40,24,16,24,80,80
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 2; \
   else if ((n_) < 240) (nb_) = 8; \
   else if ((n_) < 520) (nb_) = 40; \
   else if ((n_) < 800) (nb_) = 24; \
   else if ((n_) < 920) (nb_) = 16; \
   else if ((n_) < 1000) (nb_) = 24; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
