#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,384,576,1152,2304
 * N : 25,128,192,256,384,576,1152,2304
 * NB : 2,8,64,32,64,64,64,64
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 2; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 224) (nb_) = 64; \
   else if ((n_) < 320) (nb_) = 32; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
